OpenTTD Source: Data Fields - Functions

OpenTTD Source 13.2.1

### - a -

- AbortJob() : LinkGraphJob
- AcceptClient() : TCPListenHandler< Tsocket, Tfull_packet, Tban_packet >
- AcceptConnection() : ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler
- ActionCount() : VehicleCargoList
- AdaptT() : AdaptT< T >
- Add() : anonymous_namespace{framerate_gui.cpp}::PerformanceData , NWidgetBackground , NWidgetContainer , OrthogonalTileArea , OutputBuffer , OutputStore , OverrideManagerBase , SmallSet< Tdir, items > , StringData , TileMatrix< T, N >
- AddAccumulate() : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- AddCallback() : ClientNetworkContentSocketHandler
- AddClassBegin() : Squirrel
- AddClassEnd() : Squirrel
- AddConst() : Squirrel
- AddCost() : CommandCost
- AddDemand() : LinkGraphJob::Edge
- AddEdge() : LinkGraph::Node
- AddEntityID() : IndustryOverrideManager , OverrideManagerBase
- AddFacility() : Station
- AddFeederShare() : CargoPacket
- AddFile() : BaseMedia< Tbase_set > , FileScanner , FiosFileScanner , GRFFileScanner , LanguageScanner , ScenarioScanner , ScriptFileChecksumCreator , ScriptScanner , TarScanner
- AddFlow() : FlowStatMap , LinkGraphJob::Edge , Path
- AddGRFToActive() : NewGRFWindow
- AddIndustryToDeliver() : Station
- AddKeycode() : Hotkey
- AddLabels() : ScriptInfo
- AddLine() : StringFilter
- AddLinks() : LinkGraphOverlay
- AddMethod() : Squirrel
- AddMultipleNodes() : CYapfBaseT< Types >
- AddNewNode() : CYapfBaseT< Types >
- AddNode() : AsymmetricScaler , Kdtree< T, TxyFunc, CoordT, DistT > , LinkGraph , SymmetricScaler
- AddPacket() : PacketReader
- AddPause() : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- AddProfitLastYear() : GroupStatistics
- AddRandomDeviation() : AIConfig , ScriptConfig
- AddRef() : CCountedPtr< Tcls_ >
- AddressFamilyAsString() : NetworkAddress
- AddSetting() : ScriptInfo
- AddSpriteSets() : GrfProcessingState
- AddStartNode() : AyStar
- AddStartupNode() : CYapfBaseT< Types >
- AddStats() : LinkGraphOverlay
- AddToCache() : CargoList< Tinst, Tcont > , VehicleCargoList
- AddToMeta() : VehicleCargoList
- AddToQueue() : Packet
- AddToShared() : Vehicle
- AddVehicle() : OrderList
- AfterBlitterChange() : VideoDriver , VideoDriver_Allegro , VideoDriver_Cocoa , VideoDriver_SDL , VideoDriver_SDL_Base , VideoDriver_Win32GDI
- AfterCrashLogCleanup() : CrashLog
- AfterDownload() : ClientNetworkContentSocketHandler
- AfterLoad() : CargoPacket
- AfterNewGRFScan() : AfterNewGRFScan
- AfterStationTileSetChange() : Station
- AgeCargo() : VehicleCargoList
- AIDebugWindow() : AIDebugWindow
- AIListWindow() : AIListWindow
- Aircraft() : Aircraft
- AirportResolverObject() : AirportResolverObject
- AirportScopeResolver() : AirportScopeResolver
- AirportTileIterator() : AirportTileIterator
- AirportTileResolverObject() : AirportTileResolverObject
- AirportTileScopeResolver() : AirportTileScopeResolver
- AirportTileTableIterator() : AirportTileTableIterator
- AISettingsWindow() : AISettingsWindow
- AliasGet() : IConsole
- AliasRegister() : IConsole
- AllClientIdsSet() : CommandHelper< Tcmd, Tret(*)(DoCommandFlag, Targs...), true >
- Allocate() : NewGRFSpriteLayout , ReusableBuffer< T >
- AllocateBackingStore() : VideoDriver_SDL_Base , VideoDriver_SDL_Default , VideoDriver_SDL_OpenGL , VideoDriver_Win32Base , VideoDriver_Win32GDI
- AllocateBay() : RoadStop
- AllocateData() : SpriteLoader::Sprite
- AllocateDriveThroughBay() : RoadStop
- AllocateRegisters() : NewGRFSpriteLayout
- AllocateStorage() : TileMatrix< T, N >
- AllowConnection() : ServerNetworkAdminSocketHandler , ServerNetworkGameSocketHandler
- AllowedSubtags() : AllowedSubtags
- AnchorUnchangeableSettings() : ScriptConfig
- AnimateTile() : AnimationBase< Tbase, Tspec, Tobj, Textra, GetCallback >
- Append() : CommandQueue , FixedSizeArray< T, C > , SmallArray< T, B, N > , StationCargoList , VehicleCargoList
- AppendByte() : Buffer
- AppendC() : FixedSizeArray< T, C > , SmallArray< T, B, N >
- AppendColumn() : SmallMatrix< T >
- AppendQueue() : PacketWriter
- AppendRow() : SmallMatrix< T >
- AppendShare() : FlowStat
- AppendToBuffer() : CoreTextParagraphLayoutFactory , FallbackParagraphLayoutFactory , UniscribeParagraphLayoutFactory
- AppendUtf8() : Buffer
- ApplyDefaults() : Window
- ApplyWaterClassSpeedFrac() : ShipVehicleInfo
- AreChangesPersistent() : BasePersistentStorageArray
- AreMergable() : StationCargoList , VehicleCargoList
- AsIntSetting() : SettingDesc
- AssertCountConsistency() : VehicleCargoList
- Assign() : CCountedPtr< Tcls_ > , SmallMatrix< T > , Textbuf
- AssignOrder() : Order
- AssignSizePosition() : NWidgetBackground , NWidgetBase , NWidgetHorizontal , NWidgetHorizontalLTR , NWidgetMatrix , NWidgetNewGRFDisplay , NWidgetResizeBase , NWidgetServerListHeader , NWidgetSmallmapDisplay , NWidgetStacked , NWidgetToolbarContainer , NWidgetVertical
- AsString() : NetworkError
- AsStringSetting() : SettingDesc
- Attach() : CCountedPtr< Tcls_ > , CHashTableSlotT< Titem_ >
- AvailableCount() : StationCargoList
- AwardTo() : Subsidy